var tree;
var node;
var action='';
$(document).ready(function () {

    bind();
    $(".addBtr").click(function () {
        $('.addModel').css('display', 'none');
    })
    $(".addArea").click(function () {
        $(".phone").hide();
        $(".parent").hide();
        $('.addModel').css('display', 'block');
        $(".title").text("新增区域");
        $(".ntitle").text("区域名称");

        $("#pid").val("");
        $("#name").val("");
        $("#sort").val("");
        $("#phone").val("");
        action='AddArea';
    })
    $(".addChild").click(function () {
        var nodes = tree.getSelectedNodes();
        if (nodes.length != 1) {
            layer.confirm('请选择一条记录！', {
                btn: ['确定']
            });
            return;
        }
        else {
            node=nodes[0];
            if (node.level == 2) {
                layer.confirm('不能新增下级！', {
                    btn: ['确定']
                });
                return;
            }
            else {
                $(".parent").show();
                $('.addModel').css('display', 'block');
                $("#id").val("");
                $("#name").val("");
                $("#sort").val("");
                $("#pid").val(node.id);
                $("#pname").val(node.name);
                if (node.level == 0) {
                    $(".phone").hide();
                    $(".title").text("新增类别");
                    $(".ptitle").text("所属区域");
                    $(".ntitle").text("类别名称");
                    action='AddDeptType';
                }
                else if (node.level == 1) {
                    $(".phone").show();
                    $("#phone").val("");
                    $(".title").text("新增部门");
                    $(".ptitle").text("所属类别");
                    $(".ntitle").text("部门名称");
                    action='AddDept';
                }
            }
        }
    })
    $(".change").click(function(){
        var nodes = tree.getSelectedNodes();
        if (nodes.length != 1) {
            layer.confirm('请选择一条记录！', {
                btn: ['确定']
            });
            return;
        }
        else {
            node=nodes[0];
            $("#id").val(node.id);
            $("#name").val(node.name);
            $("#sort").val(node.sort);
            $(".phone").hide();
            $(".parent").show();
            $('.addModel').css('display', 'block');
            switch(node.level)
            {
                case 0:
                    action = 'AddArea';
                    $(".title").text("修改区域");
                    $(".ntitle").text("区域名称");
                    $(".parent").hide();
                    break;
                case 1:
                    action = 'AddDeptType';
                    $(".title").text("修改类别");
                    $(".ptitle").text("所属区域");
                    $(".ntitle").text("类别名称");
                    $("#pid").val(node.getParentNode().id);
                    $("#pname").val(node.getParentNode().name);
                    break;
                case 2:
                    action = 'AddDept';
                    $(".title").text("修改部门");
                    $(".ptitle").text("所属类别");
                    $(".ntitle").text("部门名称");
                    $(".phone").show();
                    $("#pid").val(node.getParentNode().id);
                    $("#pname").val(node.getParentNode().name);
                    $("#phone").val(node.phone)
                    break;
            }
        }
    })
    $(".addCun").click(function () {
        $.post(huayi.config.callcenter_url + "Department/" + action, {
            aid: $("#pid").val(), did: $("#pid").val(), id: $("#id").val(), name: $("#name").val(), sort: $("#sort").val(),phone:$("#phone").val(), "token": $.cookie("token")
        }, function (result) {
            result = JSON.parse(result);
            if (result.state.toLowerCase() == "success") {
                layer.msg(result.message);
                $('.addModel').css('display', 'none');
                location=location
                bind();
            }
        })
    })
    $(".del").click(function () {
        var nodes = tree.getSelectedNodes();
        if (nodes.length != 1) {
            layer.confirm('请选择一条记录！', {
                btn: ['确定']
            });
            return;
        }
        else {
            node = nodes[0];
            $('.delModel').css('display', 'block');
            $('.delName').html(node.name);
        }
    })
    //关闭按钮
    $('.delBtr').click(function () {
        $('.delModel').css('display', 'none');
    })
    //取消按钮
    $('.return').click(function () {
        $('.delModel').css('display', 'none');
    })
    //确定删除按钮
    $('.sure').click(function () {
        switch (node.level) {
            case 0:
                action = 'DelArea';
                break;
            case 1:
                action = 'DelDeptType';
                break;
            case 2:
                action = 'DelDept';
                break;
        }
        var ids = []; ids.push(node.id);
        $.post(huayi.config.callcenter_url + "Department/" + action, {ids:ids,"token": $.cookie("token")}, function (result) {
            result = JSON.parse(result);
            if (result.state.toLowerCase() == "success") {
                layer.msg(result.message);
                $('.delModel').css('display', 'none');
                bind();
            }
        })
    })
})

function bind() {
    $.getJSON(huayi.config.callcenter_url + "Department/GetDeptZTreeList", { "token": $.cookie("token") }, function (result) {
        if (result.state.toLowerCase() == "success") {
            tree = $.fn.zTree.init($("#treeDemo"), {}, result.data);
        }
    })
}